#pragma once
#include <GL/glew.h>
#include <GLFW/glfw3.h>
#include "vendors/imgui/imgui.h"
#include "vendors/imgui/imgui_impl_opengl3.h"
#include "vendors/imgui/imgui_impl_glfw.h"
#include "hudcontext.hpp"

class HUD {
private:
	ImGuiContext* m_ImGuiContext;
	bool m_POpen;
public:
	HUDContext *m_Context;

	HUD(GLFWwindow* window);
	~HUD();
	void Render();
};
